View Issue Details

IDProjectCategoryView StatusLast Update
0005958VCOMPONENT-VKERNELSQLpublic2014-01-29 19:20
ReporterIgor NikitinAssigned ToIvan Smahin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version5.5.3Fixed in Version5.5.3 
Summary0005958: SHOW TRIGGERS doesn't works for table
DescriptionIn docs I have found such definition:

SHOW TRIGGERS [{FROM|OF} table_name] [{FROM|OF} db_name]

but it works only when we specified both table and db, when db_name is missing, kernel returns error:

0x51504. Database "t1" is not found.

for query:

SHOW TRIGGERS OF t1

Also here seems only one SHOW command that allow specify source database.
TagsNo tags attached.

Activities

Ivan Smahin

Ivan Smahin

2012-09-13 05:47

developer   ~0006511

-- show triggers for current database
SHOW TRIGGERS

-- Show triggers for specified database
SHOW TRIGGERS FROM db1

-- Show triggers for particular table/view
SHOW TRIGGERS FROM t1 FROM db1
Ruslan Zasukhin

Ruslan Zasukhin

2012-09-13 06:33

administrator   ~0006512

http://dev.mysql.com/doc/refman/5.6/en/show-triggers.html

mySQL 5.6 can do only SHOW TRIGGERS [{FROM | IN} db_name]
Ruslan Zasukhin

Ruslan Zasukhin

2012-09-13 07:12

administrator   ~0006513

| SHOW COLUMNS {FROM|OF} table_name [{FROM|OF} db_name]
    | SHOW LINKS [{FROM|OF} table_name] [{FROM|OF} db_name]
    | SHOW TRIGGERS [{FROM|OF} table_name] [{FROM|OF} db_name]

Well, it seems we have follow to mistake of mySQL in show columns ...
And did it even worse for triggers links.

VALID so far as

SHOW TRIGGERS
SHOW TRIGGERS FROM db
SHOW TRIGGERS FROM T FROM db

do not works now
   SHOW TRIGGERS FROM T

and there is no easy nice way resolve this.
So far we will not touch this ...

in future we need deprecate this FROM FROM syntax of mySQL,
and switch to
        SHOW TRIGGERS FROM db.tbl
or even to
       SHOW TRIGGERS FROM schema.db.tbl

Issue History

Date Modified Username Field Change
2012-09-12 15:13 Igor Nikitin New Issue
2012-09-13 05:47 Ivan Smahin Note Added: 0006511
2012-09-13 06:33 Ruslan Zasukhin Note Added: 0006512
2012-09-13 07:12 Ruslan Zasukhin Note Added: 0006513
2013-12-22 15:21 Ruslan Zasukhin Target Version => 6.0
2014-01-15 12:32 Ivan Smahin Target Version 6.0 => 5.5.3
2014-01-21 12:31 Ivan Smahin Status new => resolved
2014-01-21 12:31 Ivan Smahin Fixed in Version => 5.5.3
2014-01-21 12:31 Ivan Smahin Resolution open => fixed
2014-01-21 12:31 Ivan Smahin Assigned To => Ivan Smahin
2014-01-29 19:20 Ruslan Zasukhin View Status private => public